You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2019-07-16 15:58:50

Sk8dada
Member
Registered: 2019-07-16
Posts: 4

"Une erreur est survenue au chargement des contenus !"

Bonjour,

Depuis mon passage en version 9.4.2, il m'est impossible d'éditer les profils utilisateur afin de redéfinir des ACL.
Il m'est également impossible de créer de nouveaux profils. Lorsque j'appuye sur ajouter, la page "profile.form.Php" me fait un "secure connexion Failed".

J'ai déjà mis à jour mon moteur de base de données MariaDB en 15.1 ainsi que PHP en 7.2.19. J'ai également vérifié les droits sur les dossiers et j'ai bien configuré l'user http avec des droits 755 en récursif.

Dans les logs de GLPI je ne trouve pas d'erreur qui me permette de définir plus précisément d'où provient le problème. À savoir qu'avant cette mise à jour, tout fonctionnait parfaitement.

Auriez-vous une idée ce qu'est-ce qui pourrait poser problème ou dans quel sens cherché?

Merci d'avance

Offline

#2 2019-07-22 13:32:15

Sk8dada
Member
Registered: 2019-07-16
Posts: 4

Re: "Une erreur est survenue au chargement des contenus !"

Bonjour,

Personne n'a eu ce problème jusqu'à aujourd'hui?

Merci

Last edited by Sk8dada (2019-07-22 13:32:24)

Offline

#3 2019-07-22 17:46:59

michel.ing93
Guest
From: Marseille
Registered: 2014-01-29
Posts: 25

Re: "Une erreur est survenue au chargement des contenus !"

Bonjour, J'ai exactement le même problème... je suis en train de chercher...

Offline

#4 2019-08-29 13:39:11

cpt_aimless
Member
Registered: 2019-08-29
Posts: 4

Re: "Une erreur est survenue au chargement des contenus !"

Bonjour,

J'ai aussi le même soucis et dans la version 9.4.2, j'ai trouvé un "espèce de workaround" en bidouillant le code dans la classe inc/commonglpi.class.php qui marche un coup sur deux... Mais j'arrive à afficher les tableaux des onglets et je peux modifier les ACL :
1 -> Je suis dans la gestion des profils : front/profile.form.php?id=1
2 -> Je clique sur l'onglet assistance : ajax/common.tabs.php?_target=/front/profile.form.php&_itemtype=Profile&_glpi_tab=Profile$3&id=1&

Il y a un problème dans :
static function displayTabContentForItem(CommonGLPI $item, $tabnum = 1, $withtemplate = 0)
     LIGNE : $ret = $obj->displayTabContentForItem($item, $tabnum, $withtemplate); (ligne 490)

Qui appelle renvoie sur :
static function displayTabContentForItem(CommonGLPI $item, $tabnum = 1, $withtemplate = 0)
    Ligne 420

Je ne connais pas assez le code GLPI pour produire un fix, et je vais tester en version 9.4.3 (pour info si je remets le code initial tout fonctionne correctement, mais si je me déconnecte pour me reconnecter c'est le drame)

Merci par avance pour vos retours,

Offline

#5 2019-08-29 19:06:37

cpt_aimless
Member
Registered: 2019-08-29
Posts: 4

Re: "Une erreur est survenue au chargement des contenus !"

Re,

Alors sous CENTOS avec php 7.1 et GLPI 9.4.3, j'ai toujours le même problème, à savoir : "Une erreur est survenue au chargement des contenus ! Vérifiez les logs de GLPI ou contactez votre administrateur. ou essayez de recharger", lorsque je vais Administration > Profils et dans les onglets Parc, assistance... d'autres fonctionnent très bien.

Mais, sous DEBIAN avec PHP 7.2 et GLPI 9.4.3, et la même base de données, je n'ai aucun problème !

Un problème de version de PHP ....

Merci par avance pour vos retours,

Offline

#6 2019-08-29 19:13:56

cpt_aimless
Member
Registered: 2019-08-29
Posts: 4

Re: "Une erreur est survenue au chargement des contenus !"

Dans la doc, j'ai (cf. https://glpi-install.readthedocs.io/en/ … .html#php) :
As of 9.2 release, GLPI requires PHP 5.6 or more recent.

Bon... Une idée ?

Offline

#7 2019-08-30 09:37:22

cpt_aimless
Member
Registered: 2019-08-29
Posts: 4

Re: "Une erreur est survenue au chargement des contenus !"

Bonjour,

J'ai poussé plus loin l'analyse du problème. Et, c'est un problème de gestion du cache et plus exactement du mod apcu.

N'ayant pas d'expertise particulière apcu, j'ai mis en place la configuration suivante sur GLPI :
- désactivation apcu
- activation de Zend Opcache

Ne pas vider oublier de vider les caches : sudo rm -rf files/_cache/*

Et, bien sûr ne pas oublier de relancer le service apache.

Je le concède les perfs de gestion du cache vont être moins performantes puisque basé sur le module filesystem de PHP (gestion du cache par fichier versus par mémoire via apcu)...

On verra à l'utilisation... En tout cas je n'ai plus de bugs de gestion de cache smile wink

Bien à vous,

Offline

Board footer

Powered by FluxBB